{% extends "base.html" %}

{% block styling %}
<link rel="stylesheet" href="{{ url_for('static', filename='css/stocks_style.css') }}">
<script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"></script>
{% endblock %}

{% block content %}
<h2>ChartJS Demo #3</h2>
<br>
<canvas id="stockChart" width="500" height="400"></canvas>
{% endblock %}

{% block javascript %}
<script>
// Get the canvas element for modifying the data contents
var ctx = document.getElementById('stockChart').getContext('2d');

// Set the default font color for each chart
Chart.defaults.global.defaultFontColor = 'white';

// Create a new line chart
var myChart = new Chart(ctx, {
  type: 'line',
  data: {
    labels:
      [{% for item in labels %}
        "{{item.strftime("%m/%d/%Y")}}",
      {% endfor %}],
    datasets: [{
      label: 'Price ($)',
      data:
        [{% for item in values %}
          {{item}},
        {% endfor %}],
      backgroundColor: 'blue',
      borderColor: 'white',
      borderWidth: 1
    }]
  },
  options: {
    title: {
      display: true,
      text: "{{ title }}"
    },
    legend: {
      display: true,
      position: 'bottom',
      align: 'center'
    },
    scales: {
      yAxes: [{
        ticks: {
          beginAtZero: true
        },
        gridLines:{
          color: "white",
        }
      }],
      xAxes: [{
        gridLines:{
          color: "white",
        }
      }]
    }
  }
});
</script>
{% endblock %}
